# Uses of Enum Class
com.ocient.transport.TransportException.FailMode

Packages that use TransportException.FailMode
Package
Description
com.ocient.transport

## Uses of TransportException.FailMode in com.ocient.transport

Methods in com.ocient.transport that return TransportException.FailMode
Modifier and Type
Method
Description
`TransportException.FailMode`
TransportException.`failMode()`
Returns the mode of the operation that failed.
`static TransportException.FailMode`
TransportException.FailMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransportException.FailMode[]`
TransportException.FailMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.ocient.transport with parameters of type TransportException.FailMode
Modifier
Constructor
Description
`protected`
`TransportException(TransportException.FailMode failMode, String message)`
Constructs a new TransportException with the specified error message.
`protected`
`TransportException(TransportException.FailMode failMode, String message, Throwable cause)`
Constructs a new TransportException with the specified fail mode and cause.
`protected`
`TransportException(TransportException.FailMode failMode, Throwable cause)`
Constructs a new TransportException with the specified fail mode and cause.